/**
 * Bull SAS / OW2 Orchestra
 * Copyright (C) 2012 Bull S.A.S, and individual contributors as indicated
 * by the @authors tag.
 *
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.designer.bpmn.model.operations;

import java.io.Serializable;
import org.ow2.orchestra.designer.bpmn.model.data.type.WSDLMessageModel;
import org.ow2.orchestra.designer.bpmn.model.data.type.WSDLMessagePartModel;

public class CorrelationMappingModel implements Serializable {

  private static final long serialVersionUID = 7289360630080572981L;
  private CorrelationModel correlationModel;
  private WSDLMessageModel messageModel;
  private WSDLMessagePartModel messagePartModel;
  private String childNodeSelector;

  public String getChildNodeSelector() {
    return childNodeSelector;
  }

  public void setChildNodeSelector(final String childNodeSelector) {
    this.childNodeSelector = childNodeSelector;
  }

  public CorrelationModel getCorrelationModel() {
    return correlationModel;
  }

  public void setCorrelationModel(final CorrelationModel correlationModel) {
    this.correlationModel = correlationModel;
  }

  public WSDLMessageModel getMessageModel() {
    return messageModel;
  }

  public void setMessageModel(final WSDLMessageModel messageModel) {
    this.messageModel = messageModel;
  }

  public WSDLMessagePartModel getMessagePartModel() {
    return messagePartModel;
  }

  public void setMessagePartModel(final WSDLMessagePartModel messagePartModel) {
    this.messagePartModel = messagePartModel;
  }
}
