/*
 * Bull SAS / OW2 Orchestra
 * Copyright (C) 2011 Bull S.A.S, and individual contributors as indicated
 * by the @authors tag.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */
package org.ow2.orchestra.designer.bpmn.model.process;

import java.util.ArrayList;
import java.util.List;
import org.ow2.orchestra.designer.bpmn.model.operations.CorrelationMappingModel;
import org.ow2.orchestra.designer.bpmn.model.operations.OperationModel;


/**
 * @author Guillaume Porcher
 */
public final class EventModel extends AbstractBPMNElementWithData {

  /**
   *
   */
  private static final long serialVersionUID = 4786806888401165168L;

  private EventType eventType = EventType.NONE;
  // Timer event properties
  private String timerDate;
  private String timerDuration;
  // Message event properties
  private OperationModel operation;
  // correlation
  private final List<CorrelationMappingModel> correlationMappingModels = new ArrayList<CorrelationMappingModel>();

  /**
   * The XPath expression for send events
   * @return
   */
  public EventType getEventType() {
    return this.eventType;
  }

  public void setEventType(final EventType eventType) {
    this.eventType = eventType;
  }

  public void setTimerDate(final String timerDate) {
    this.timerDate = timerDate;
  }
  /**
   * The timer due date in ISO 8601 format.
   * @return
   */
  public String getTimerDate() {
    return this.timerDate;
  }

  /**
   * The timer duration in ISO 8601 format.
   * @param timerDuration
   */
  public void setTimerDuration(final String timerDuration) {
    this.timerDuration = timerDuration;
  }

  /**
   * The timer duration in ISO 8601 format.
   * @return
   */
  public String getTimerDuration() {
    return this.timerDuration;
  }


  public void setOperation(final OperationModel operation) {
    this.operation = operation;
  }

  public OperationModel getOperation() {
    return this.operation;
  }

  public List<CorrelationMappingModel> getCorrelationMappingModels() {
    return correlationMappingModels;
  }

}
