/**
 * Bull SAS / OW2 Orchestra
 * Copyright (C) 2010 Bull S.A.S, and individual contributors as indicated
 * by the @authors tag.
 *
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.designer.granite.externalizer;

import org.granite.messaging.amf.io.util.externalizer.DefaultExternalizer;

/**
 * Extends {@link DefaultExternalizer} to redefine
 * {@link DesignerExternalizer#accept(Class)} method.
 *
 * @author Loic Albertin
 * @see DesignerExternalizer#accept(Class)
 */
public final class DesignerExternalizer extends DefaultExternalizer {

  /**
   * {@inheritDoc}
   * <p/>
   * Overrides {@link DefaultExternalizer#accept(java.lang.Class)} to accept
   * classes with packages equal to
   * <code>org.ow2.orchestra.designer.bpmn.model</code>.
   *
   * @see org.granite.messaging.amf.io.util.externalizer.DefaultExternalizer#accept(java.lang.Class)
   */
  @Override
  public int accept(final Class<?> clazz) {
    return clazz.getPackage().getName().startsWith("org.ow2.orchestra.designer.bpmn.model") ? 0 : -1;
  }
}
